Get Project

Prev Next
Get
/api/v1/Authoring/projects/{id}

Returns information about a specified project

Path parameters
id
integer (int32) Required

Id of the project being retrieved

Responses
200

OK

Expand All
object
name
string

The project name

description
string | null

The project description

dataSources
Array of object (Configuration.Api.Models.v1.Common.KeyValue)

List of data sources the project has access to

object
rootTestFolderId
integer (int32)

The folder ID of the root test folder in the project

rootJobFolderId
integer (int32)

The folder ID of the root job folder in the project

permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission)

List of permissions added to the project

object
type
string
Valid values[ "User", "Group" ]
name
string
Min length1
roleSet
string

The name of a predefined role set

roles
Array of string | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object

List of custom fields added to the project

property*
403

Forbidden

404

Not Found

object
error
string | null